#file-browser-parent
{
    position: absolute;
    width: 70%;
    height: 70%;
    background: #353535;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border: solid 0.1rem #292929;
    filter: drop-shadow(0 0 0.7rem black);
}

#file-browser-background
{
    position: absolute;
    width: 100vw;
    height: 100vh;
    left: 0;
    top: 0;
    background: #00000047;
}

#file-browser-path
{
	position: absolute;
    margin: 0.5rem;
    display: inline-block;
    width: calc(100% - 1rem);
    resize: none;
    white-space: nowrap;
    overflow: hidden;
    border-radius: 0.25rem;
    height: 1.5rem;
    color: #935ead;
    background: #2d2d2d;
    border: solid 0.05rem #000000;
    padding-top: 0.2rem;
}

#file-browser-file-list
{
    position: absolute;
    top: 2.5rem;
    bottom: 2rem;
    left: 1rem;
    right: 1rem;
    overflow-y: scroll;
    background: #272727;
    border-radius: 0.5rem;
    border: solid #0e0e0e 0.1rem;
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
}

#file-browser-file-list::-webkit-scrollbar
{
	width: 0.5rem;
}

#file-browser-file-list::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
}

#file-browser-file-list::-webkit-scrollbar-thumb
{
	background-color: darkgrey;
	outline: 1px solid slategrey;
}

.file-browser-dir,
.file-browser-file
{
	position: relative;
	padding-left: 0.5rem;
}

.file-browser-dir:hover,
.file-browser-file:hover
{
	filter: brightness(1.5);
	background: rgba(0, 0, 0, 0.1);
	cursor: pointer;
}

.file-browser-dir .fa-folder
{
    margin-right: 0.5rem;
    position: relative;
}

.file-browser-file
{
	padding-left: 2rem;
}

#file-browser-cancel
{
	position: absolute;
	border-radius: 0.25rem;
	background: #2d2d2d;
	border: solid 0.05rem #000000;
	color: #4e91bb;
	bottom: 0.4rem;
	right: 1rem;
	padding-left: 0.3rem;
	padding-right: 0.3rem;
}

#file-browser-cancel:hover
{
	filter: brightness(1.5);
	cursor: pointer;
}